#
# Copyright (C) 2020  FreeIPA Contributors see COPYING for license
#

"""
Test for the `ipaserver/plugins/internal.py` module.
"""

import pytest

from ipalib import api
from ipatests.test_xmlrpc.xmlrpc_test import XMLRPC_test
from ipatests.test_xmlrpc.tracker.user_plugin import UserTracker
from ipatests.test_xmlrpc.tracker.host_plugin import HostTracker
from ipatests.test_xmlrpc.tracker.service_plugin import ServiceTracker


@pytest.mark.tier1
class test_json_metadata(XMLRPC_test):
    """
    Test the 'internal' plugin json_metadata class.
    """

    def test_no_args(self, krb_user):
        """
        Testing the plain call with no arguments
        """
        result = api.Command.json_metadata()
        import pdb; pdb.set_trace()
        expected = {u'object': u'user',
                    u'command': u'user_show/1',
                    u'arguments': (krb_user.name,)}
        assert_deepequal(expected, result)
